summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--etc/defaults/rc.conf2
-rwxr-xr-xetc/rc.d/mountcritremote2
-rwxr-xr-xetc/rc.d/nfsclient2
3 files changed, 3 insertions, 3 deletions
diff --git a/etc/defaults/rc.conf b/etc/defaults/rc.conf
index 0fa9004..2faf7fb 100644
--- a/etc/defaults/rc.conf
+++ b/etc/defaults/rc.conf
@@ -89,7 +89,7 @@ fsck_y_enable="NO" # Set to YES to do fsck -y if the initial preen fails.
fsck_y_flags="" # Additional flags for fsck -y
background_fsck="YES" # Attempt to run fsck in the background where possible.
background_fsck_delay="60" # Time to wait (seconds) before starting the fsck.
-netfs_types="nfs:NFS newnfs:NEWNFS smbfs:SMB portalfs:PORTAL nwfs:NWFS" # Net filesystems.
+netfs_types="nfs:NFS oldnfs:OLDNFS smbfs:SMB portalfs:PORTAL nwfs:NWFS" # Net filesystems.
extra_netfs_types="NO" # List of network extra filesystem types for delayed
# mount at startup (or NO).
diff --git a/etc/rc.d/mountcritremote b/etc/rc.d/mountcritremote
index ff965da..91500e2 100755
--- a/etc/rc.d/mountcritremote
+++ b/etc/rc.d/mountcritremote
@@ -26,7 +26,7 @@ mountcritremote_precmd()
case "`mount -d -a -t nfs 2> /dev/null`" in
*mount_nfs*)
# Handle absent nfs client support
- load_kld -m nfs nfsclient || return 1
+ load_kld -m nfs nfscl || return 1
;;
esac
return 0
diff --git a/etc/rc.d/nfsclient b/etc/rc.d/nfsclient
index c97a52a..fa7906d 100755
--- a/etc/rc.d/nfsclient
+++ b/etc/rc.d/nfsclient
@@ -13,7 +13,7 @@ name="nfsclient"
rcvar="nfs_client_enable"
start_cmd="nfsclient_start"
stop_cmd="unmount_all"
-required_modules="nfsclient:oldnfs"
+required_modules="nfscl:nfs"
nfsclient_start()
{
OpenPOWER on IntegriCloud